package ru.landgrafhomyak.serdha.api.v0.ddl

import ru.landgrafhomyak.serdha.api.v0.Expression

public interface DefaultConstraint<RuntimeType, DatabaseType : ColumnType<RuntimeType>, TableUserExtension : Any> {
	public val name: String
	public val table: Table<TableUserExtension, *>
	public val attachedToColumn: Column<RuntimeType, DatabaseType, TableUserExtension>
	public val expression: Expression<RuntimeType, DatabaseType, TableUserExtension>
}